diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/l10n.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/l10n.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/l10n.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/l10n.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 65,71 ****
   * @return string Translated text
   */
  function translate( $text, $domain = 'default' ) {
! 	$translations = &get_translations_for_domain( $domain );
  	return apply_filters( 'gettext', $translations->translate( $text ), $text, $domain );
  }
  
--- 65,71 ----
   * @return string Translated text
   */
  function translate( $text, $domain = 'default' ) {
! 	$translations = get_translations_for_domain( $domain );
  	return apply_filters( 'gettext', $translations->translate( $text ), $text, $domain );
  }
  
***************
*** 78,84 ****
  }
  
  function translate_with_gettext_context( $text, $context, $domain = 'default' ) {
! 	$translations = &get_translations_for_domain( $domain );
  	return apply_filters( 'gettext_with_context', $translations->translate( $text, $context ), $text, $context, $domain );
  }
  
--- 78,84 ----
  }
  
  function translate_with_gettext_context( $text, $context, $domain = 'default' ) {
! 	$translations = get_translations_for_domain( $domain );
  	return apply_filters( 'gettext_with_context', $translations->translate( $text, $context ), $text, $context, $domain );
  }
  
***************
*** 236,242 ****
   * @return string Either $single or $plural translated text
   */
  function _n( $single, $plural, $number, $domain = 'default' ) {
! 	$translations = &get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number );
  	return apply_filters( 'ngettext', $translation, $single, $plural, $number, $domain );
  }
--- 236,242 ----
   * @return string Either $single or $plural translated text
   */
  function _n( $single, $plural, $number, $domain = 'default' ) {
! 	$translations = get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number );
  	return apply_filters( 'ngettext', $translation, $single, $plural, $number, $domain );
  }
***************
*** 249,255 ****
   *
   */
  function _nx($single, $plural, $number, $context, $domain = 'default') {
! 	$translations = &get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number, $context );
  	return apply_filters( 'ngettext_with_context', $translation, $single, $plural, $number, $context, $domain );
  }
--- 249,255 ----
   *
   */
  function _nx($single, $plural, $number, $context, $domain = 'default') {
! 	$translations = get_translations_for_domain( $domain );
  	$translation = $translations->translate_plural( $single, $plural, $number, $context );
  	return apply_filters( 'ngettext_with_context', $translation, $single, $plural, $number, $context, $domain );
  }
***************
*** 459,467 ****
  function load_theme_textdomain( $domain, $path = false ) {
  	$locale = apply_filters( 'theme_locale', get_locale(), $domain );
  
! 	$path = ( empty( $path ) ) ? get_template_directory() : $path;
  
! 	$mofile = "$path/$locale.mo";
  	return load_textdomain($domain, $mofile);
  }
  
--- 459,474 ----
  function load_theme_textdomain( $domain, $path = false ) {
  	$locale = apply_filters( 'theme_locale', get_locale(), $domain );
  
! 	if ( ! $path )
! 		$path = get_template_directory();
  
! 	// Load the textdomain from the Theme provided location, or theme directory first
! 	$mofile = "{$path}/{$locale}.mo";
! 	if ( $loaded = load_textdomain($domain, $mofile) )
! 		return $loaded;
! 
! 	// Else, load textdomain from the Language directory
! 	$mofile = WP_LANG_DIR . "/themes/{$domain}-{$locale}.mo";
  	return load_textdomain($domain, $mofile);
  }
  
***************
*** 478,489 ****
   * @param string $domain Unique identifier for retrieving translated strings
   */
  function load_child_theme_textdomain( $domain, $path = false ) {
! 	$locale = apply_filters( 'theme_locale', get_locale(), $domain );
! 
! 	$path = ( empty( $path ) ) ? get_stylesheet_directory() : $path;
! 
! 	$mofile = "$path/$locale.mo";
! 	return load_textdomain($domain, $mofile);
  }
  
  /**
--- 485,493 ----
   * @param string $domain Unique identifier for retrieving translated strings
   */
  function load_child_theme_textdomain( $domain, $path = false ) {
! 	if ( ! $path )
! 		$path = get_stylesheet_directory();
! 	return load_theme_textdomain( $domain, $path );
  }
  
  /**
***************
*** 493,499 ****
   * @param string $domain
   * @return object A Translation instance
   */
! function &get_translations_for_domain( $domain ) {
  	global $l10n;
  	if ( !isset( $l10n[$domain] ) ) {
  		$l10n[$domain] = new NOOP_Translations;
--- 497,503 ----
   * @param string $domain
   * @return object A Translation instance
   */
! function get_translations_for_domain( $domain ) {
  	global $l10n;
  	if ( !isset( $l10n[$domain] ) ) {
  		$l10n[$domain] = new NOOP_Translations;
